# OgreAnimationState.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include "OgreController.h"`
`#include "OgreIteratorWrappers.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::AnimationState
| Represents the state of an animation and the weight of it's influence. More...
class | Ogre::AnimationStateSet
| Class encapsulating a set of AnimationState objects. More...
class | Ogre::AnimationStateControllerValue
| ControllerValue wrapper class for AnimationState. More...

## Typedefs

typedef std::map < String, AnimationState * > | Ogre::AnimationStateMap
typedef MapIterator < AnimationStateMap > | Ogre::AnimationStateIterator
typedef ConstMapIterator < AnimationStateMap > | Ogre::ConstAnimationStateIterator
typedef std::list < AnimationState * > | Ogre::EnabledAnimationStateList
typedef ConstVectorIterator < EnabledAnimationStateList > | Ogre::ConstEnabledAnimationStateIterator

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 14:26:49 2009